@import url('https://fonts.googleapis.com/css2?family=Martian+Mono:wght@100..800&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Rampart+One&family=Stick&display=swap');
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent;
}
body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100dvh;
  font-family: "Montserrat";
  padding: 20px;
  background: #000;
  position: relative;
}
.text {
  position: absolute;
  color: #fff;
  z-index: 0;
  font-size: 70px;
  font-family: 'Stick';
  font-weight: bold;
  top: 10%;
  left: 10%;
  text-shadow: 0px 0px 5px #fff;
  cursor: pointer;
  transition: .3s ease-in-out;
}
.text:hover{
  text-shadow: 0px 0px 10px #fff;
}

.track-info {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-bottom: 20px;
}
.track-title {
  color: #fff;
  font-size: 30px;
  text-align: center;
}
.track-artist {
  color: #d8d8d8;
  text-align: center;
  font-size: 20px;
}
.app {
  z-index: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  max-width: 550px;
  width: 100%;
  background: #121212;
  border-radius: 10px;
  height: max-content;
  padding: 25px;
  position: relative;
}
.track-wrapper {
  max-width: 400px;
  width: 100%;
  height: auto;
  cursor: pointer;
  margin-bottom: 50px;
}
.wrapper-img {
  max-width: 400px;
  width: 100%;
  height: auto;
  border-radius: 10px;
}

.menu-bar {
  max-width: 400px;
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin-bottom: 30px;
}
.play-track {
  cursor: pointer;
}
.play-track-bg {
  display: flex;
  justify-content: center;
  align-items: center;
  background: #1fb755;
  border-radius: 50px;
  width: 70px;
  height: 70px;
  transition: 0.3s ease;
}
.play-track-bg:hover {
  transform: scale(1.05);
}
.pause-track {
  display: none;
  cursor: pointer;
}
.repeat-btn {
  cursor: pointer;
  transition: 0.3s ease;
}
.repeat-btn:hover {
  transform: scale(1.05);
  stroke: #1fb755;
}
.repeat-active {
  stroke: #1fb755;
}
.last-track,
.next-track {
  transition: 0.3s ease;
}
.last-track:hover,
.next-track:hover {
  transform: scale(1.05);
  stroke: #fff;
  cursor: pointer;
}
.slider-start-text,
.slider-end-text {
  color: #d8d8d8;
  font-size: 15px;
  width: 35px;
}
.custom-slider {
  display: flex;
  max-width: 400px;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  padding: 10px 0;
  margin-bottom: 20px;
}

.slider-track {
  position: relative;
  height: 6px;
  background: rgba(255, 255, 255, 0.2);
  border-radius: 2px;
  cursor: pointer;
  width: 75%;
}

.slider-progress {
  position: absolute;
  height: 100%;
  background: #1db954;
  border-radius: 2px;
  width: 100%;
}

.volume-control {
  display: flex;
  max-width: 400px;
  width: 100%;
  gap: 10px;
  justify-content: end;
  align-items: center;
  padding: 10px 0;
}

.volume-track {
  position: relative;
  height: 6px;
  background: rgba(255, 255, 255, 0.2);
  border-radius: 2px;
  cursor: pointer;
  width: 25%;
}

.volume-progress {
  position: absolute;
  height: 100%;
  background: #1db954;
  border-radius: 2px;
  width: 100%;
}

.volume-thumb {
  position: absolute;
  left: 0%;
  top: 50%;
  transform: translate(-5%, -50%);
  width: 20px;
  height: 20px;
  background: white;
  border-radius: 50%;
}
.volume-icon-100 {
  display: none;
  cursor: pointer;
  transition: 0.3s ease;
}
.volume-icon:hover {
  stroke: #1db954;
}
.volume-icon-0 {
  display: none;
  cursor: pointer;
  transition: 0.3s ease;
}
.volume-icon-60 {
  cursor: pointer;
  transition: 0.3s ease;
}
.volume-icon-60:hover {
  stroke: #1db954;
}
.volume-icon-0:hover {
  stroke: #1db954;
}
.volume-icon-30 {
  display: none;
  cursor: pointer;
  transition: 0.3s ease;
}
.volume-icon-30:hover {
  stroke: #1db954;
}

@media (max-width: 768px) {
  body {
    padding: 0;
  }
  .app {
    height: 100dvh;
    border-radius: 0;
    margin: 0 auto;
  }

  .track-wrapper {
    margin: 0 auto 20px;
  }

  .track-title {
    font-size: 25px;
  }

  .track-artist {
    font-size: 20px;
  }

  .menu-bar svg {
    width: 40px;
    height: 40px;
  }

  .play-track-bg .play-track,
  .play-track-bg .pause-track {
    width: 30px;
    height: 30px;
  }
}

@media (max-width: 480px) {
  .track-title {
    font-size: 20px;
  }
  .track-artist {
    font-size: 15px;
  }

  .menu-bar svg {
    width: 35px;
    height: 35px;
  }
  .slider-track {
    width: 65%;
  }
  .slider-thumb {
    width: 15px;
    height: 15px;
  }
}
